"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeliSabotageConsoleOpenEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player opens a heli sabotage console on Airship.
 */
class HeliSabotageConsoleOpenEvent extends events_1.RevertableEvent {
    constructor(room, helisabotagesystem, message, 
    /**
     * The player that opened the console.
     */
    player, 
    /**
     * The ID of the console that was opened.
     */
    consoleId) {
        super();
        this.room = room;
        this.helisabotagesystem = helisabotagesystem;
        this.message = message;
        this.player = player;
        this.consoleId = consoleId;
        this.eventName = "heli.consoles.open";
        this._alteredConsoleId = consoleId;
        this._alteredPlayer = player;
    }
    /**
     * The alternate ID of the console that will be opened, if changed.
     */
    get alteredConsoleId() {
        return this._alteredConsoleId;
    }
    /**
     * The alterenate player that will open the console, if changed.
     */
    get alteredPlayer() {
        return this._alteredPlayer;
    }
    /**
     * Change the ID of the console that was opened.
     * @param consoleId the ID of the conosle to open.
     */
    setConsoleId(consoleId) {
        this._alteredConsoleId = consoleId;
    }
    /**
     * Change the player that opened the console.
     * @param player The player to open the console.
     */
    setPlayer(player) {
        this._alteredPlayer = player;
    }
}
exports.HeliSabotageConsoleOpenEvent = HeliSabotageConsoleOpenEvent;
HeliSabotageConsoleOpenEvent.eventName = "heli.consoles.open";
//# sourceMappingURL=ConsoleOpen.js.map